SystemOrganization addCategory: #ConfigurationOfNautilusWithoutPackages!

Object subclass: #ConfigurationOfNautilusWithoutPackages
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfNautilusWithoutPackages'!

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:08'!
alpha

	(self project version: '1.0') load! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:08'!
loadDefault

	(self project version: '1.0') load! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
project

	^self new project! !

!ConfigurationOfNautilusWithoutPackages classSide methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:08'!
stable

	"(self project version: '3.4') load"! !

!ConfigurationOfNautilusWithoutPackages methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/11/2011 02:59'!
baseline10: spec
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'NautilusCommon' with: [ spec requires: 'SystemAnnouncements' ].
		spec package: 'GroupManager' with: [ spec requires: 'SystemAnnouncements' ].
		spec package:  'GroupManagerUI'.
		spec package: 'PluggableTextMorphWithLimits'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'.
		
		spec repository: 'http://www.squeaksource.com/PharoTaskForces'.
		spec package: 'SystemAnnouncements'.
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package:  'NautilusWithoutPackages' with: [
			spec requires: 'NautilusCommon'.
			spec requires: 'SystemAnnouncements'.
			spec requires: 'Refactoring-Environment'.
			spec requires: 'PluggableTextMorphWithLimits' ]]! !

!ConfigurationOfNautilusWithoutPackages methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
baselinealpha: spec 
	<version: 'alpha-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	
		
	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'Morphic-MorphTreeWidget-Extension'.
		
		spec repository: 'http://www.squeaksource.com/SwitchableTreeWidget'.
		spec package: 'SwitchableTreeWidget' with: [ spec requires: 'Morphic-MorphTreeWidget-Extension' ].
		
		spec repository: 'http://www.squeaksource.com/Nautilus'.
		spec package: 'HistoryCollection'.
		spec package: 'GroupManager'.
		spec package:  'GroupManagerUI'.
		spec package:  'Nautilus'.
		
		spec repository: 'http://www.squeaksource.com/DirtyExperiments'.
		spec package: 'Refactoring-Environment'
	]! !

!ConfigurationOfNautilusWithoutPackages methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/2/2011 17:04'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfNautilusWithoutPackages methodsFor: 'as yet unclassified' stamp: 'BenjaminVanRyseghem 8/19/2011 16:42'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #development.
		spec author: 'BenjaminVanRyseghem'.
		spec description: 'Version 1.0: First Try without RPAckage'.
	].
	
	spec for: #pharo do: [ 
		spec package: 'SwitchableTreeWidget' with: 'SwitchableTreeWidget-BenjaminVanRyseghem.18'.
		spec package: 'HistoryCollection' with: 'HistoryCollection-BenjaminVanRyseghem.7'.
		spec package: 'GroupManager' with: 'GroupManager-BenjaminVanRyseghem.17'.
		spec package: 'GroupManagerUI' with: 'GroupManagerUI-BenjaminVanRyseghem.7'.
		
		spec package: 'Morphic-MorphTreeWidget-Extension' with: 'Morphic-MorphTreeWidget-Extension-BenjaminVanRyseghem.1'.
		
		spec package: 'PluggableTextMorphWithLimits' with: 'PluggableTextMorphWithLimits-BenjaminVanRyseghem.5' .
		
		spec package: 'NautilusCommon' with: 'NautilusCommon-BenjaminVanRyseghem.5'.
		spec package: 'NautilusWithoutPackages' with: 'NautilusWithoutPackages-BenjaminVanRyseghem.15'.
	
		spec package: 'Refactoring-Environment' with: 'Refactoring-Environment-StephaneDucasse.9'.
		spec package: 'Refactoring-Tests-Environment' with: 'Refactoring-Tests-Environment-StephaneDucasse.2'.
			
		spec package: 'SystemAnnouncements' with: 'SystemAnnouncements-StephaneDucasse.48'
	]! !
